#!/bin/sh

MYFILE=`basename $0`
MYPATH=`echo $0 | sed -e 's/'$MYFILE'//g'`

export QTDIR=$MYPATH
export LD_LIBRARY_PATH=$MYPATH/lib:/usr/lib:/lib
export PATH=$MYPATH/bin:$PATH
export HOME=$MYPATH/home

(. /home/native/.profile > /dev/null ; $MYPATH/bin/qp) &

sleep 2 # make sure qtproxy started

cd $MYPATH
kill -9 `pidof winskin`
xmms &
winskin -qws

(. /home/native/.profile > /dev/null ; $MYPATH/bin/qpc exit)
